<template>
    <Modal :nameModal="'changeAvatar'">
        <p class="modal__title">Выберите фото профиля</p>
        <div class="modal__choiceAvatar">
            <div class="modal__choiceAvatar-item" v-for="avatar in avatars"
                 @click="checkAvatar(avatar)"
                 :class="{'checked': checkedAvatar?.id === avatar.id}"
            >
                <img class="modal__choiceAvatar-avatar" :src="avatar.image" alt="">
                <div class="modal__choiceAvatar-select--wrapper">
                    <svg class="modal__choiceAvatar-select" width="21" height="15" viewbox="0 0 21 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M2 6.71429L8.18182 13L19 2" stroke="white" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"></path>
                    </svg>
                </div>
            </div>
        </div>
        <a class="button modal__button modal__choiceAvatar-button js-close-modal"
           href="" @click.prevent="changeAvatar">Подтвердить выбор</a>
    </Modal>
</template>

<script setup>
import Modal from '@/Components/UI/Modal.vue';
import {UseAppStore} from '@/Stores/AppStore';
import { onMounted, ref } from 'vue';
import axios from 'axios';
import { useNotification } from "@kyvg/vue3-notification";
import { UseUserStore } from '@/Stores/UserStore';

const userStore = UseUserStore();
const notification = useNotification();
let appStore = UseAppStore();
let avatars = ref([]);
let checkedAvatar = ref();
// let isChecked = ref([]);

const changeAvatar = () => {
    axios.post(route('dashboard.profile.set-new-avatar'), {
        'avatar_id': checkedAvatar.value.id
    }).then((res) => {

        userStore.setNewAvatar(checkedAvatar.value.image);

        notification.notify({
            title: 'Успех!',
            text: 'Ваша аватарка успешно изменена!',
            type: 'success'
        });

        // axios.get(route('dashboard.profile.notifications.getNumber'))
        //     .then((res) => {
        //         appStore.changeNumberNotifications(res.data);
        //     });
        //
        // axios.get(route('dashboard.profile.notifications.get.header'))
        //     .then((res) => {
        //         appStore.changeHeaderNotifications(res.data);
        //     });
        // axios.get(route('dashboard.profile.getAvatar')).then((res) => {
        //     userStore.setNewAvatar(res.data);
        // });

    })
    appStore.offAllModals();
};

const checkAvatar = (avatar) => {
    checkedAvatar.value = avatar;
    // isChecked.value.forEach((el, index) => {
    //     isChecked.value[index] = false;
    // });
    // isChecked.value[id - 1] = true;
}

onMounted(() => {
    axios.get(route('get.avatars'))
        .then((res) => {
            avatars.value = res.data.reverse();
        })
});
</script>
